DeepFellow DOCS
DeepFellow API ReferenceFine tuning pipelines

Run a fine-tuning pipeline now

POST
/v1/fine_tuning/pipelines/{pipeline_id}/run

Start a run immediately, regardless of the schedule; 409 if one is already in progress.

Authorization

headerAuthorizationBearer <token>

Path Parameters

pipeline_id*string

The ID of the fine-tuning pipeline.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response

One execution of a pipeline.

id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
object?string
Default"fine_tuning.pipeline.run"
pipeline_id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
project_id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
version*integer
trigger*string
Value in"schedule""manual"
status?FinetuneRunStatus

Status of one pipeline run.

Default"preparing_data"
Value in"preparing_data""training""evaluating""promoting""promoted""not_promoted""no_new_data""failed"
step_started_at?|

Unix time the run entered its current status; stale steps are failed by the scheduler.

source_files?array<>
Default[]
training_settings_hash?|

Hash of the settings the training data and job were built with; a change means new training.

dataset?|null
fine_tuning_job_id?|null
adapter_id?string|null
eval?|null
decision?|null
infra?|null
error?|null
created_at?integer
finished_at?integer|null
Example Request
curl -X POST 'https://deepfellow-server-host/v1/fine_tuning/pipelines/5eb7cf5a86d9755df3a6c593/run'
Example Response
{  "id": "5eb7cf5a86d9755df3a6c593",  "object": "fine_tuning.pipeline.run",  "pipeline_id": "5eb7cf5a86d9755df3a6c593",  "project_id": "5eb7cf5a86d9755df3a6c593",  "version": 0,  "trigger": "schedule",  "status": "preparing_data",  "step_started_at": 0,  "source_files": [],  "training_settings_hash": "string",  "dataset": {    "training_file_id": "5eb7cf5a86d9755df3a6c593",    "eval_prompts_file_id": "5eb7cf5a86d9755df3a6c593",    "chunks": 0,    "failed_chunks": 0,    "training_pairs": 0,    "sha256": "string"  },  "fine_tuning_job_id": "5eb7cf5a86d9755df3a6c593",  "adapter_id": "string",  "eval": {    "score": 0,    "n": 0,    "item_scores": [      0    ],    "predictions_file_id": "5eb7cf5a86d9755df3a6c593",    "eval_config_hash": "string",    "champion_score": 0  },  "decision": {    "promoted": true,    "reason": "string"  },  "infra": {    "model_id": "string",    "install_started_at": 0  },  "error": {    "code": "string",    "message": "string"  },  "created_at": 0,  "finished_at": 0}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.